> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PRC By Name

> Verify PRC records using name details.



## OpenAPI

````yaml api-reference/government-data/philippines/ph-prc/prc-by-name.openapi.json POST /api/v3/verifications/philippines/prc
openapi: 3.0.3
info:
  title: IDmeta API - PRC By Name
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    variables:
      environment-subdomain:
        default: integrate
security:
  - bearerAuth: []
paths:
  /api/v3/verifications/philippines/prc:
    post:
      tags:
        - Government Data
      summary: PRC By Name
      description: Verify PRC records using name details (API v3).
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer {your_api_token}
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - profession
                - firstName
                - lastName
                - trustFlowId
                - trustValidationId
              properties:
                profession:
                  type: string
                  description: Profession of the individual.
                firstName:
                  type: string
                  description: First name of the individual to be verified.
                lastName:
                  type: string
                  description: Last name of the individual to be verified.
                trustFlowId:
                  type: integer
                  description: Trust flow ID for this verification.
                trustValidationId:
                  type: string
                  description: Trust validation ID for this verification.
            example:
              profession: <string>
              firstName: <string>
              lastName: <string>
              trustFlowId: 0
              trustValidationId: '{your_created_trust_validation_id}'
      responses:
        '200':
          description: PRC by name processed successfully
          content:
            application/json:
              example:
                success: true
                message: Philippines PRC processed successfully
                data:
                  profession: <string>
                  firstName: <string>
                  lastName: <string>
                  isValid: true
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: '{your_created_trust_validation_id}'
                verificationType: philippines_prc
                metadata: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````